### Type parameters

- #### T

### Hierarchy

- WriteRequest<T, UpdateItemInput, UpdateRequest<T>>
  - UpdateRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- onlyIf
- onlyIfAttribute
- operations
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues
- updateAttribute

## Constructors

### constructor

- new UpdateRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>, partitionKey: any, sortKey?: any): UpdateRequest

- Overrides WriteRequest.constructor

  - Defined in dynamo/request/update/update.request.ts:13

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns UpdateRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:28

### Private logger

logger: Logger

- Defined in dynamo/request/update/update.request.ts:13

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: UpdateItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### exec

- exec(): Promise<void>

- Inherited from WriteRequest.exec

  Overrides StandardRequest.exec

  - Defined in dynamo/request/write.request.ts:50

  #### Returns Promise<void>

### execFullResponse

- execFullResponse(): Promise<UpdateItemOutput>

- Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/update/update.request.ts:30

  #### Returns Promise<UpdateItemOutput>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): UpdateRequest<T>

- Inherited from WriteRequest.onlyIf

  - Defined in dynamo/request/write.request.ts:35
  example

    writeRequest.onlyIf( attribute('age').eq(23) )

  example

    writeRequest.onlyIf( or( attribute('age').lt(18), attribute('age').gt(65) ) )

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns UpdateRequest<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<UpdateRequest<T>, T, K>

- Inherited from WriteRequest.onlyIfAttribute

  - Defined in dynamo/request/write.request.ts:26

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<UpdateRequest<T>, T, K>

### operations

- operations(...updateDefFns: UpdateExpressionDefinitionFunction[]): UpdateRequest<T>

- - Defined in dynamo/request/update/update.request.ts:25

  #### Parameters

  - ##### Rest ...updateDefFns: UpdateExpressionDefinitionFunction[]

  #### Returns UpdateRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): UpdateRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns UpdateRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): UpdateRequest<T>

- Inherited from WriteRequest.returnItemCollectionMetrics

  - Defined in dynamo/request/write.request.ts:21

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns UpdateRequest<T>

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): UpdateRequest<T>

- Inherited from WriteRequest.returnValues

  - Defined in dynamo/request/write.request.ts:45

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns UpdateRequest<T>

### updateAttribute

- updateAttribute<K>(attributePath: K): RequestUpdateFunction<UpdateRequest<T>, T, K>

- - Defined in dynamo/request/update/update.request.ts:21

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestUpdateFunction<UpdateRequest<T>, T, K>

Generated using TypeDoc